List top tools
Top tools by execution count.
Top tools by execution count.
ApiKeyAuthAuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_tool_analyticsoffset?integerNumber of items to skip before returning results.
int320 <= value0limit?integerMaximum number of items to return per page.
int320 <= value <= 25610start_time*stringStart of the time range to report on, inclusive.
date-timeend_time*stringEnd of the time range to report on, exclusive.
date-timeagent_instance_id?array<>Filter to specific agent instances by id.
agent_slug?array<string>Filter to agents by slug, the agent type such as claude-code.
mcp_id?array<>Filter to specific MCP servers by id.
user_id?array<>Filter to specific users by id.
user_group?array<string>Filter to users in specific groups.
agent_tag_id?array<>Filter to agent instances carrying specific tags.
resource_tag_id?array<>Filter to MCP servers carrying specific tags.
The request has succeeded.
application/json- response
Ranked list of tools by execution count.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET "https://example.com/analytics/top-tools?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "items": [ { "name": "string", "mcp_id": "92dad337-069f-4a18-a93d-2e7f16082ffb", "mcp_name": "string", "mcp_slug": "string", "count": 0 } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}